<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/shape16_white_color_bg"
    android:paddingVertical="@dimen/dp_14">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/cb_permission_state_item"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_16"
        android:src="@drawable/icon_permission_no_check_svg" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_permission_name_item"
        style="@style/my_TextView_style_v2"
        android:layout_alignTop="@id/cb_permission_state_item"
        android:layout_alignBottom="@id/cb_permission_state_item"
        android:layout_marginStart="@dimen/dp_6"
        android:layout_toEndOf="@id/cb_permission_state_item"
        android:text="@string/txt_permissions"
        android:textStyle="bold" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_permission_tip_item"
        style="@style/my_TextView_style_v2"
        android:layout_below="@id/tv_permission_name_item"
        android:layout_alignStart="@id/tv_permission_name_item"
        android:layout_marginEnd="@dimen/dp_16"
        android:gravity="start"
        android:text="@string/txt_ble_permissions_tip"
        android:textColor="@color/select_color3"
        android:textSize="@dimen/textSize14"
        app:typeface="@string/roboto_regular_font" />


    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll_permission_set_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/tv_permission_tip_item"
        android:layout_alignStart="@id/tv_permission_tip_item"
        android:layout_alignParentEnd="true"
        android:layout_marginTop="@dimen/dp_12"
        android:layout_marginEnd="@dimen/dp_12"
        android:layout_marginBottom="@dimen/dp_6"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <com.abbidot.tracker.widget.TypefaceButton
            android:id="@+id/btn_permission_skip_set"
            style="@style/my_RoundRect_Button_style"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_40"
            android:layout_weight="1"
            android:background="@color/transparent"
            android:text="@string/txt_skip"
            android:textSize="@dimen/textSize16"
            app:qmui_borderColor="@color/block_color"
            app:qmui_borderWidth="@dimen/dp_1"
            app:qmui_radius="@dimen/dp_50"
            app:typeface="@string/roboto_bold_font" />

        <View
            android:layout_width="@dimen/dp_8"
            android:layout_height="@dimen/dp_1" />

        <com.abbidot.tracker.widget.TypefaceButton
            android:id="@+id/btn_permission_enable_set"
            style="@style/my_RoundRect_Button_style"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_40"
            android:layout_toEndOf="@id/btn_permission_skip_set"
            android:layout_weight="1"
            android:background="@color/select_color2"
            android:text="@string/txt_enable"
            android:textSize="@dimen/textSize16"
            app:qmui_radius="@dimen/dp_50"
            app:typeface="@string/roboto_bold_font" />
    </androidx.appcompat.widget.LinearLayoutCompat>

</RelativeLayout>